### Signal

# Xdp Portal::update-available

#### Declaration

    void
    update_available (
      XdpPortal* self,
      gchar* running_commit,
      gchar* local_commit,
      gchar* remote_commit,
      gpointer user_data
    )

#### Description [src]

Emitted when updates monitoring is enabled and a new update is available.

It is only sent once with the same information, but it can be sent many times if new updates appear.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`running_commit` | `gchar*`
| The commit that the sandbox is running with.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`local_commit` | `gchar*`
| The commit that is currently deployed. Restarting the app will use this commit.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`remote_commit` | `gchar*`
| The commit that is available as an update. Updating the app will deloy this commit.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.